Envelope
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced
Class Envelope

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel
          org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Envelope

    public class Envelope

extends DataModel

Constructor Summary
`Envelope()`

Method Summary
`BoundingBox` | `getBoundingBox()`
`java.lang.String` | `getFaoAreas()`
`static HspenFields` | `getMaxName(EnvelopeFields parameter)`
`java.lang.Double` | `getMaxValue(EnvelopeFields parameter)`
`static HspenFields` | `getMinName(EnvelopeFields parameter)`
`java.lang.Double` | `getMinValue(EnvelopeFields parameter)`
`static HspenFields` | `getPrefMaxName(EnvelopeFields parameter)`
`java.lang.Double` | `getPrefMaxValue(EnvelopeFields parameter)`
`static HspenFields` | `getPrefMinName(EnvelopeFields parameter)`
`java.lang.Double` | `getPrefMinValue(EnvelopeFields parameter)`
`java.lang.Double` | `getValue(EnvelopeFields parameterName, HspenFields depthprefmax)`
`java.util.Set<HspenFields>` | `getValueNames(EnvelopeFields parameterName)`
`boolean` | `isPelagic()`
`boolean` | `isUseBottomSeaTempAndSalinity()`
`boolean` | `isUseBoundingBox()`
`boolean` | `isUseFaoAreas()`
`boolean` | `isUseMeanDepth()`
`void` | `setBoundingBox(BoundingBox boundingBox)`
`void` | `setFaoAreas(java.lang.String faoAreas)`
`void` | `setPelagic(boolean pelagic)`
`void` | `setUseBottomSeaTempAndSalinity(boolean useBottomSeaTempAndSalinity)`
`void` | `setUseBoundingBox(boolean useBoundingBox)`
`void` | `setUseFaoAreas(boolean useFaoAreas)`
`void` | `setUseMeanDepth(boolean useMeanDepth)`
`void` | `setValue(EnvelopeFields parameterName, HspenFields valueName, double d)`
`FieldArray` | `toFieldArray()`

Methods inherited from class org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel
`fromXML, toXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Envelope

    public Envelope()

Method Detail

### isUseFaoAreas

    public boolean isUseFaoAreas()

  Returns:
    the useFaoAreas

### setUseFaoAreas

    public void setUseFaoAreas(boolean useFaoAreas)

  Parameters:
    `useFaoAreas` - the useFaoAreas to set

### isUseBoundingBox

    public boolean isUseBoundingBox()

  Returns:
    the useBoundingBox

### setUseBoundingBox

    public void setUseBoundingBox(boolean useBoundingBox)

  Parameters:
    `useBoundingBox` - the useBoundingBox to set

### isUseBottomSeaTempAndSalinity

    public boolean isUseBottomSeaTempAndSalinity()

  Returns:
    the useBottomSeaTempAndSalinity

### setUseBottomSeaTempAndSalinity

    public void setUseBottomSeaTempAndSalinity(boolean useBottomSeaTempAndSalinity)

  Parameters:
    `useBottomSeaTempAndSalinity` - the useBottomSeaTempAndSalinity to set

### getFaoAreas

    public java.lang.String getFaoAreas()

  Returns:
    the faoAreas

### setFaoAreas

    public void setFaoAreas(java.lang.String faoAreas)

  Parameters:
    `faoAreas` - the faoAreas to set

### getBoundingBox

    public BoundingBox getBoundingBox()

  Returns:
    the boundingBox

### setBoundingBox

    public void setBoundingBox(BoundingBox boundingBox)

  Parameters:
    `boundingBox` - the boundingBox to set

### isPelagic

    public boolean isPelagic()

  Returns:
    the pelagic

### setPelagic

    public void setPelagic(boolean pelagic)

  Parameters:
    `pelagic` - the pelagic to set

### getValueNames

    public java.util.Set<HspenFields> getValueNames(EnvelopeFields parameterName)

### getValue

    public java.lang.Double getValue(EnvelopeFields parameterName,
                                     HspenFields depthprefmax)

### setValue

    public void setValue(EnvelopeFields parameterName,
                         HspenFields valueName,
                         double d)

### getMinValue

    public java.lang.Double getMinValue(EnvelopeFields parameter)

### getMinName

    public static HspenFields getMinName(EnvelopeFields parameter)

### getMaxValue

    public java.lang.Double getMaxValue(EnvelopeFields parameter)

### getMaxName

    public static HspenFields getMaxName(EnvelopeFields parameter)

### getPrefMinValue

    public java.lang.Double getPrefMinValue(EnvelopeFields parameter)

### getPrefMinName

    public static HspenFields getPrefMinName(EnvelopeFields parameter)

### getPrefMaxValue

    public java.lang.Double getPrefMaxValue(EnvelopeFields parameter)

### getPrefMaxName

    public static HspenFields getPrefMaxName(EnvelopeFields parameter)

### setUseMeanDepth

    public void setUseMeanDepth(boolean useMeanDepth)

### isUseMeanDepth

    public boolean isUseMeanDepth()

### toFieldArray

    public FieldArray toFieldArray()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD